Skip to main content

get_data_requests

GET /data_requests/:data_subject/:feedback_id

Returns the segments of the provided feedback, that describe the provided data subject

Possible data_subject values

  • contractor
  • customer
  • employee
  • other
  • prospect
  • suppliers
  • to_be_defined
  • trainee
  • visitor
require 'rest-client'

data_subject = 'PUT-YOUR-DATA-SUBJECT'
feedback_id = 'PUT-YOUR-FEEDBACK-ID'

RestClient::Request.execute method: :get,
url: "https://api.diduenjoy.com/api/v1/data_requests/#{data_subject}/#{feedback_id}",
user: 'PUT-YOUR-API-KEY-HERE'

attributes

attributedescription
segments
hash { string: string|array[string] }
data from segments of the provided data_subject
email
string
optional - present if provided data_subject corresponds to the default data_subject
phone_number
string
optional - present if provided data_subject corresponds to the default data_subject